var Dfe26000_InflacaoInterna_Service = function(Dfe26000_InflacaoInterna_Repository) {

    this.generateReport = function(filterRow){
        var paransReport = {};
        if(filterRow.REPORT_NAME === 'Inflação Interna'){
            paransReport = {
                "REPORT_NAME": 'DFE26000',
                "TIPOCUSTO":filterRow.TIPOCUSTO,
                "NMTIPOCUSTO":filterRow.NMTIPOCUSTO,
                "CDOPERENTR":filterRow.CDOPERENTR,
                "CDPRODFINAL":filterRow.CDPRODFINAL,
                "CDFILIAL":filterRow.CDFILIAL,
                "DATAINICIAL":filterRow.DATAINICIAL,
                "DATAFINAL":filterRow.DATAFINAL,
                "CDPRODINI":filterRow.CDPRODINI,
                "TAMNIVEL":filterRow.TAMNIVEL
            };
        } else if(filterRow.REPORT_NAME === 'Inflação de Compras'){
            paransReport = {
                "REPORT_NAME": 'DFE26001',
                "INIMES1": filterRow.INIMES1,
                "INIMES2": filterRow.INIMES2,
                "FINMES1": filterRow.FINMES1,
                "FINMES2": filterRow.FINMES2,
                "CDOPERENTR": filterRow.CDOPERENTR,
                "CDFILIAL": filterRow.CDFILIAL,
                "CDPRODINI": filterRow.CDPRODINI,
                "CDPRODFINAL": filterRow.CDPRODFINAL,
                "TAMNIVEL": filterRow.TAMNIVEL
            };
        }else if(filterRow.REPORT_NAME === 'Inflação Interna Consolidada'){
            paransReport = {
                "REPORT_NAME": 'DFE26000_Consolidada',
                "TIPOCUSTO":filterRow.TIPOCUSTO,
                "NMTIPOCUSTO":filterRow.NMTIPOCUSTO,
                "CDOPERENTR":filterRow.CDOPERENTR,
                "CDPRODFINAL":filterRow.CDPRODFINAL,
                "CDGRUPFILI":filterRow.CDGRUPFILI,
                "DATAINICIAL":filterRow.DATAINICIAL,
                "DATAFINAL":filterRow.DATAFINAL,
                "CDPRODINI":filterRow.CDPRODINI,
                "TAMNIVEL":filterRow.TAMNIVEL
            };
        } else {
            paransReport = {
                "REPORT_NAME": 'DFE26002',
                "INIMES1": filterRow.INIMES1,
                "INIMES2": filterRow.INIMES2,
                "FINMES1": filterRow.FINMES1,
                "FINMES2": filterRow.FINMES2,
                "CDOPERENTR": filterRow.CDOPERENTR,
                "CDFILIAL": filterRow.CDFILIAL,
                "CDPRODINI": filterRow.CDPRODINI,
                "CDPRODFINAL": filterRow.CDPRODFINAL,
                "TAMNIVEL": filterRow.TAMNIVEL
            };
        }
        return Dfe26000_InflacaoInterna_Repository.generateReport(paransReport);
    };
};

Configuration(function(ContextRegister) {
    ContextRegister.register('Dfe26000_InflacaoInterna_Service', Dfe26000_InflacaoInterna_Service);
});